"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@material-ui/core");
var react_1 = __importDefault(require("react"));
var utils_1 = require("./../utils");
var NavigationProvider_1 = require("./NavigationProvider");
var EmbeddedSqlStreamStoreBrowser_1 = require("./../EmbeddedSqlStreamStoreBrowser");
var styles = function (_a) {
    var color = _a.palette.action.active;
    return ({
        hyperlink: {
            '&:active': {
                color: color,
            },
            '&:hover': {
                color: color,
            },
            '&:visited': {
                color: color,
            },
            color: color,
        },
    });
};
var getLink = function (links, rel) {
    return !links[rel] ? null : links[rel][0];
};
var Hyperlink = NavigationProvider_1.withNavigation()(core_1.withStyles(styles)(function (_a) {
    var classes = _a.classes, _links = _a._links, authorization = _a.authorization, onNavigate = _a.onNavigate, rel = _a.rel;
    var link = getLink(_links, rel);
    if (!link) {
        // tslint:disable-next-line:no-console
        console.warn("Could not find link for rel " + rel, _links);
        return null;
    }
    var baseUrl = EmbeddedSqlStreamStoreBrowser_1.getBaseUrl();
    var currentUrl = window.location.href.split('?')[0];
    var urlParamName = 'storeUrl';
    var newLink = __assign({}, link);
    newLink.href = "" + baseUrl + link.href;
    var url = currentUrl + "?" + urlParamName + "=" + newLink.href;
    return (react_1.default.createElement("a", { href: url, className: classes.hyperlink, onClick: utils_1.preventDefault(function () {
            return onNavigate(newLink, authorization);
        }) }, link.title));
}));
exports.default = Hyperlink;
